<?
/*
Plugin Name: Ruby Maker
Plugin URI: http://kx3.info/plugin
Description: テキストにrubyをふるプラグイン
Author: koka
Version: 0.1
Author URI: http://kx3.info
*/
 
class RubyMaker {
    function __construct() {
      add_action('admin_menu', array($this, 'add_pages'));
    }
    function add_pages() {
      add_management_page('RubyMaker', 'RubyMaker', 8,'ruby-maker.php', array($this,'ruby_maker_option_page'));
    }
    function ruby_maker_option_page(){
    //オブション画面に表示する内容
?>    
<h2>RubyMaker</h2>
<p>ショートコードを利用してテキストにルビを振ることができます。<br />
内容的にはHTMLタグのrubyを使います。rubyに対応していないブラウザには前後に（）がついた状態で表示されます。</p>
<p>単語の可読性を高めるのはもちろん、キーワードSEOにも有効なrubyタグを手軽に使ってみましょう！</p>
<h3>記述例</h3>
<p>[<b style="color:#990000">ruby</b> <b style="color:#006600">以心伝心</b> <b style="color:#333399">いしんでんしん</b>]</p>
<h3>説明</h3>
<p>半角の空白区切りで「<b style="color:#990000">ruby</b>」の部分がショートコードの名前。<br />
二番目の「<b style="color:#006600">以心伝心</b>」の部分がテキスト。<br />
「<b style="color:#333399">いしんでんしん</b>」の部分が読みという構成です。<br />
下記が実際にこのコードを適用したものになります。</p>
<h3>表示例</h3>
<p><img src="<? echo home_url( '/' ) ?>wp-content/plugins/ruby-maker/img.png" alt="以心伝心（いしんでんしん）"></p>
<p>もしテキストや読みの部分に空白を使いたい場合は、“_”を使います。下記のような形です。</p>
<h3>記述例</h3>
<p>[<b style="color:#990000">ruby</b> <b style="color:#006600">Web_Designer</b> <b style="color:#333399">ウェブ_デザイン</b>]</p>
<h3>表示例</h3>
<p><img src="<? echo home_url( '/' ) ?>wp-content/plugins/ruby-maker/img2.png" alt="Web Designer（ウェブ_デザイン）"></p>
<?

    }
}
$rubymaker = new RubyMaker;
function ruby_Maker($atts){
  $atts[0] = preg_replace("/_/"," ",$atts[0]);
  $atts[1] = preg_replace("/_/"," ",$atts[1]);
  return "<ruby>{$atts[0]} <rp>（</rp><rt>{$atts[1]}</rt><rp>）</rp></ruby>";
}
add_shortcode("ruby", "ruby_Maker");